Show / Hide Table of Contents

# Class SocketGroupUser

##### Inheritance

System.Object
SocketEntity<System.UInt64>
SocketUser
SocketGroupUser

##### Implements

IGroupUser
IUser
ISnowflakeEntity
IEntity<System.UInt64>
IMentionable
IPresence
IVoiceState

##### Inherited Members

SocketUser.CreatedAt
SocketUser.Discriminator
SocketUser.Mention
SocketUser.Activity
SocketUser.Status
SocketUser.ActiveClients
SocketUser.MutualGuilds
SocketUser.GetOrCreateDMChannelAsync(RequestOptions)
SocketUser.GetAvatarUrl(ImageFormat, UInt16)
SocketUser.GetDefaultAvatarUrl()
SocketUser.ToString()
SocketEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class SocketGroupUser : SocketUser, IGroupUser, IUser, ISnowflakeEntity, IEntity<ulong>, IMentionable, IPresence, IVoiceState

### Properties

| Improve this Doc View Source

#### AvatarId

##### Declaration

    public override string AvatarId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Overrides

SocketUser.AvatarId
| Improve this Doc View Source

#### Channel

Gets the group channel of the user.

##### Declaration

    public SocketGroupChannel Channel { get; }

##### Property Value

Type | Description
--- | ---
SocketGroupChannel | A SocketGroupChannel representing the channel of which the user belongs to.

| Improve this Doc View Source

#### DiscriminatorValue

##### Declaration

    public override ushort DiscriminatorValue { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

##### Overrides

SocketUser.DiscriminatorValue
| Improve this Doc View Source

#### IsBot

##### Declaration

    public override bool IsBot { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

SocketUser.IsBot
| Improve this Doc View Source

#### IsWebhook

##### Declaration

    public override bool IsWebhook { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

SocketUser.IsWebhook
| Improve this Doc View Source

#### Username

##### Declaration

    public override string Username { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Overrides

SocketUser.Username

### Explicit Interface Implementations

| Improve this Doc View Source

#### IVoiceState.IsDeafened

##### Declaration

    bool IVoiceState.IsDeafened { get; }

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IVoiceState.IsMuted

##### Declaration

    bool IVoiceState.IsMuted { get; }

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IVoiceState.IsSelfDeafened

##### Declaration

    bool IVoiceState.IsSelfDeafened { get; }

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IVoiceState.IsSelfMuted

##### Declaration

    bool IVoiceState.IsSelfMuted { get; }

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IVoiceState.IsStreaming

##### Declaration

    bool IVoiceState.IsStreaming { get; }

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IVoiceState.IsSuppressed

##### Declaration

    bool IVoiceState.IsSuppressed { get; }

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IVoiceState.VoiceChannel

##### Declaration

    IVoiceChannel IVoiceState.VoiceChannel { get; }

##### Returns

Type | Description
--- | ---
IVoiceChannel |

| Improve this Doc View Source

#### IVoiceState.VoiceSessionId

##### Declaration

    string IVoiceState.VoiceSessionId { get; }

##### Returns

Type | Description
--- | ---
System.String |

### Implements

IGroupUser
IUser
ISnowflakeEntity
IEntity<TId>
IMentionable
IPresence
IVoiceState